Skip to main content
PUT
Update Tool

Authorizations

Authorization
string
header
required

Enter your API key

Path Parameters

id
string<uuid>
required

Tool ID

Body

application/json
project_id
string
required

Project ID

bot_id
string
required

Agent ID

server_label
string

Updated server label

Required string length: 1 - 255
transport
enum<string>

Updated transport protocol

Available options:
http,
sse
require_approval
enum<string>

Updated approval requirement

Available options:
never,
always,
tool-specific
is_enabled
boolean

Enable or disable the tool

Response

Tool updated successfully

tool
object